SYD-PAUSE(1)

NAME

syd-pause - Block forever (until signaled), optionally ignoring selected signals

SYNOPSIS

syd-pause [ -t ] [ -h ] [ -a ] [ -q ] [ -b ] [ -i ] [ -p signals ]

DESCRIPTION

syd-pause is a tiny, long-lived process that simply waits until it is terminated by a signal. By default, it honors all standard termination signals; options allow you to ignore specific signals so the process continues running when they are delivered. This is useful as a minimal placeholder, supervisor target, or synchronization sentinel in service pipelines and sandboxes.

OPTIONS

--help | Display help.
-t | Ignore SIGTERM.
-h | Ignore SIGHUP.
-a | Ignore SIGALRM.
-q | Ignore SIGQUIT.
-b | Ignore SIGABRT.
-i | Ignore SIGINT.
-p signals | Ignore the comma-separated list of signal numbers given in signals (e.g. -p 1,2,3,15).
 | Numbers must be valid per signal(7). This flag can be combined with the short flags above.

EXIT STATUS

On normal termination by a signal, syd-pause exits 0. On errors syd-pause exits with the corresponding errno(3) value.

SEE ALSO

syd(1), syd(2), syd(5), syd-ofd(1), s6-pause(1), pause(2)

•   syd homepage: https://sydbox.exherbo.org/
•   s6-pause manpage: https://skarnet.org/software/s6/s6-pause.html

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.